from __future__ import print_function
from sys import stdin

def printf(str, *args):
	print(str % args, end='')

class State:
	def __init__(self):
		self.m = 0
		self.c = 0
		self.p = ''

	def state_init(self):
		self.m = 2
		self.c = 2
		self.p = 'r'

	def state_moving(self, m, c):
		if self.p == 'r':
			if self.m == 2 and self.c == 2:
				if m == 0 and c == 1:
					self.m = 2
					self.c = 1
					self.p = 'l'
				elif m == 0 and c == 2:
					self.m = 2
					self.c = 0
					self.p = 'l'
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					self.m = 1
					self.c = 1
					self.p = 'l'
				elif m == 2 and c == 0:
					self.m = 0
					self.c = 2
					self.p = 'l'
			elif self.m == 2 and self.c == 1:
				if m == 0 and c == 1:
					self.m = 2
					self.c = 0
					self.p = 'l'
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					self.m = 1
					self.c = 1
					self.p = 'l'
				elif m == 1 and c == 1:
					self.m = 1
					self.c = 0
					self.p = 'l'
				elif m == 2 and c == 0:
					self.m = 0
					self.c = 1
					self.p = 'l'
			elif self.m == 2 and self.c == 0:
				if m == 0 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					self.m = 1
					self.c = 0
					self.p = 'l'
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					self.m = 0
					self.c = 0
					self.p = 'l'
					printf("!!!!ACCEPT!!!!\n")
					return 1
			elif self.m == 1 and self.c == 1:
				if m == 0 and c == 1:
					self.m = 1
					self.c = 0
					self.p = 'l'
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					self.m = 0
					self.c = 1
					self.p = 'l'
				elif m == 1 and c == 1:
					self.m = 0
					self.c = 0
					self.p = 'l'
					printf("!!!!ACCEPT!!!!\n")
					return 1
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
			elif self.m == 0 and self.c == 2:
				if m == 0 and c == 1:
					self.m = 0
					self.c = 1
					self.p = 'l'
				elif m == 0 and c == 2:
					self.m = 0
					self.c = 0
					self.p = 'l'
					printf("!!!!ACCEPT!!!!\n")
					return 1
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
			elif self.m == 0 and self.c == 1:
				if m == 0 and c == 1:
					self.m = 0
					self.c = 0
					self.p = 'l'
					printf("!!!!ACCEPT!!!!\n")
					return 1
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
		elif self.p == 'l':
			if self.m == 2 and self.c == 1:
				if m == 0 and c == 1:
					self.m = 2
					self.c = 2
					self.p = 'r'
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
			elif self.m == 2 and self.c == 0:
				if m == 0 and c == 1:
					self.m = 2
					self.c = 1
					self.p = 'r'
				elif m == 0 and c == 2:
					self.m = 2
					self.c = 2
					self.p = 'r'
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
			elif self.m == 1 and self.c == 1:
				if m == 0 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					self.m = 2
					self.c = 1
					self.p = 'r'
				elif m == 1 and c == 1:
					self.m = 2
					self.c = 2
					self.p = 'r'
				elif m == 2 and c == 0:
					printf("Never across the river!!")
					return -1
			elif self.m == 0 and self.c == 2:
				if m == 0 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 0 and c == 2:
					self.m = 2
					self.c = 2
					self.p = 'r'
				elif m == 1 and c == 0:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					self.m = 2
					self.c = 2
					self.p = 'r'
			elif self.m == 0 and self.c == 1:
				if m == 0 and c == 1:
					self.m = 0
					self.c = 2
					self.p = 'r'
				elif m == 0 and c == 2:
					printf("Never across the river!!")
					return -1
				elif m == 1 and c == 0:
					self.m = 1
					self.c = 1
					self.p = 'r'
				elif m == 1 and c == 1:
					printf("Never across the river!!")
					return -1
				elif m == 2 and c == 0:
					self.m = 1
					self.c = 1
					self.p = 'r'
			elif self.m == 0 and self.c == 0:
				if m == 0 and c == 1:
					self.m = 0
					self.c = 1
					self.p = 'r'
				elif m == 0 and c == 2:
					self.m = 0
					self.c = 2
					self.p = 'r'
				elif m == 1 and c == 0:
					self.m = 1
					self.c = 0
					self.p = 'r'
				elif m == 1 and c == 1:
					self.m = 1
					self.c = 1
					self.p = 'r'
				elif m == 2 and c == 0:
					self.m = 2
					self.c = 0
					self.p = 'r'
		return 0

res = 0
s = State()

s.state_init()

list = []
while res == 0:
	printf("state : (%d,%d,%c)\n" %(s.m, s.c, s.p) )
	while len(list) < 2:
		list += stdin.readline().strip('\n').split()
	input_m = int(list.pop(0))
	input_c = int(list.pop(0))
	printf("Input : (%d,%d)\n" %(input_m, input_c) )
	res = s.state_moving(input_m, input_c)
printf("\n\nstate : (%d,%d,%c)\n" %(s.m, s.c, s.p) )

stdin.readline()